Subject: ifconfig doesn't allow mac change for devices
From: "[email-masked] [email-masked]" <[email-masked]>
To: bug-guix <[email-masked]>
Date: Thu, 9 Jul 2015 14:16:06 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, I am trying to install guixsd with the installation image, my wireless
internet provider allows me for only one MAC. The command I use to change the
card mac on other distros and installation images is:

ifconfig device hw ether NewMacAdress

But with guixsd ifconfig fails telling me that the device can have only one
address. Interesting to notice that I can put whatever device, even non existent
names like "jlakjdj" and it tells the same thing, the device can only have on
adress. I have an Atheros card.